TIFMERGE(3)

NAME
TiffAppend - tifmerge library function manual page

SYNOPSIS
#include <tifmerge.h>
int
TiffAppend(const char *ptr out, const char *ptr in);

DESCRIPTION
This is the tifmerge library function manual page for the TiffAppend() function. This function merges two TIFF files into a single multi-page TIFF file.

The TiffAppend() function takes two arguments: out and in. Both arguments contain the pointer to the name of a file. Both files must exist and be valid TIFF files.

The TiffAppend() function will append the images contained in the in file to the images inside the out file.

The function is declared in <tifmerge.h>, located in the @PREFIX@/include directory.

RETURN VALUES
The TiffAppend() function returns 0 on success, non-0 otherwise.

ENVIRONMENT
The TiffAppend() library function ignores the environment variables.

SEE ALSO
Peter van Vloten, May 1999, Windows Developer's Journal, Creating Multi-Page TIFF Files.

STANDARDS
ansiC.

DIAGNOSTICS
None.

AUTHORS
This manual page was written by G. Adam Stanislav <adam@whizkidtech.net>.

The TiffAppend() function was written by Peter van Vloten <pixelpan@aol.com>.

BUGS
The original version of the TiffAppend() function causes a core dump if the out argument is not a valid TIFF file. This is fixed in the FreeBSD port.